Name:		gxemul
Version:	0.4.7.2
Release:	3%{?dist}
License:	BSD
Group:		Development/Tools
Summary:	Instruction-level machine emulator
URL:		http://gxemul.sourceforge.net/
Source0:	http://gxemul.sourceforge.net/src/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libX11-devel, xorg-x11-proto-devel

%description
GXemul is an experimental instruction-level machine emulator. It can be
used to run binary code for (among others) MIPS-based machines, regardless
of host platform. Several emulation modes are available. For some modes,
processors and surrounding hardware components are emulated well enough to
let unmodified operating systems (e.g. NetBSD) run as if they were running
on a real machine.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m755 gxemul $RPM_BUILD_ROOT%{_bindir}
install -m644 man/gxemul.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc LICENSE HISTORY RELEASE.html README doc/* demos/
%{_bindir}/gxemul
%{_mandir}/man1/gxemul.*

%changelog
* Wed Aug 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.7.2-3
- fix urls

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  8 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.7.2-1
- update to 0.4.7.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 18 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.4.6.6-1
- update to 0.4.6.6

* Fri Sep 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.6.5-1
- update to 0.4.6.5

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.6.2-2
- Autorebuild for GCC 4.3

* Tue Feb 19 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.6.2-1
- bump to 0.4.6.2

* Fri Aug 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.6-3.1
- drop patch

* Thu Aug 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.6-3
- rebuild for ppc32

* Thu Jul  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.6-1
- bump to 0.4.6

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.3-1
- bump to 0.4.3

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.2-1
- bump to 0.4.2

* Tue Jul 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0.1-3
- add demos/ to doc

* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0.1-2
- fix FC-4 BuildRequires

* Thu Jul  6 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0.1-1
- bump to 0.4.0.1

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.8-1
- bump to 0.3.8

* Mon Jan  9 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.7-1
- bump to 0.3.7
- enable all the cpu types by default (MIPS, ARM, PPC are primary)

* Thu Jul 28 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.4-1
- initial package for Fedora Extras
